Building UE4 with Nvidia Flex errors

Hi, I’m sorry to complain, but I have about 75 to 100 errors while building UE4 with Nvidia Physx Flex. I’m using VS2017, with 2015 toolkit, Flex branch is 4.19, but I also tried 4.17 and both end up with the same problems. I also tried to build it with vs2015, and still no success. I also tried to build clean UE4 release version and it build itself without any error/warning. I have also changed VC++ Directories to inherit from parent. but it only decreased number of errors from 150 to 75. I will be super glad if someone would be able to help me with it. Below I print screen of some errors.
https://answers.unrealengine.com/storage/attachments/255900-przechwytywanie.png

Thank you in advance

Hi there,

It looks like the error relates to intsafe.h, which is part of the Windows SDK. I don’t think we have done any testing on the UE4 integration with VS2017, but certainly it should work with VS2015. Which version of the Windows SDK do you have?

Also, in the future I would recommend posting issues on Github:

https://github.com/NVIDIAGameWorks/FleX

Cheers,
Miles

Thank you for the quick response, and concern.
First, about Github issue tab, I saw there thread similar to mine made about 3 months ago and no response to it whatsoever.
So I thought Here I have more chance to really be helped.
About Visual Studio 2015, now it is hard to install any external package, or library because now installer is all about 2017. So I try more options on this newest version.
I have Windows SDK version (on VS2017):
Windows 10 10.0.17763.0
Windows 10 10.0.17134.0
Windows 10 10.0.16299.0
Windows 10 10.0.15.063.0
Windows 10 10.0.14393.0
Windows 8.1 SDK i UCRT SDK
VC++ 2015.3 toolkit 14.15

I, however, think all SDK’s are installed on my PC somewhere where vs2015 can get to.

Thanks in advance and best wishes,
Paweł